defines2d.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | EXPORT_2D __attribute__((visibility("default")))
#define | EXPORT_2DMYOCARD __attribute__((visibility("default")))
#define | EXPORT_2DTEST __attribute__((visibility("default")))

## Macro Definition Documentation

## EXPORT_2D

#define EXPORT_2D __attribute__((visibility("default")))

Definition at line 37 of file defines2d.hh.

Referenced by angle(), angle(), C2DImageVector::clone(), create_image2d_vector(), distance_point_line(), distance_transform(), fuzzy_segment_2d(), get_gradient(), get_jump_level(), get_jump_level(), get_nfg(), get_nfg_j(), get_nfg_n(), get_noise_level(), load_image2d(), load_image_series(), morph_hit_and_miss_2d(), morph_thinning_2d(), operator!=(), operator+=(), C2DTransformation::const_iterator::operator==, operator==(), produce_2d_spline_transform_penalty(), rotate_90_degree(), run_filter(), run_filter(), run_filter_chain(), run_filter_chain(), save_image(), save_image(), save_image(), and test_image_equal().

## EXPORT_2DMYOCARD

#define EXPORT_2DMYOCARD __attribute__((visibility("default")))

Definition at line 53 of file defines2d.hh.

## EXPORT_2DTEST

#define EXPORT_2DTEST __attribute__((visibility("default")))

Definition at line 38 of file defines2d.hh.